Runs
List Workflow runs
Retrieve the 50 most recent runs for a specific Workflow, ordered most recent first, including status, outputs, credits, and per-step results.
GET
/
api
/
workflows
/
{workflow_id}
/
runs
List Workflow runs
curl --request GET \
--url https://api.valendata.com/api/workflows/{workflow_id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valendata.com/api/workflows/{workflow_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valendata.com/api/workflows/{workflow_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "completed",
"inputs": {},
"outputs": null,
"error": "<string>",
"credits_charged": 123,
"execution_time_ms": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"step_results": [
{
"id": "<string>",
"step_id": "<string>",
"step_name": "<string>",
"step_type": "agent",
"sequence_order": 123,
"status": "completed",
"inputs": {},
"output": null,
"error": "<string>",
"execution_time_ms": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
]
}
]{
"detail": "Invalid or expired API key"
}{
"detail": "Invalid or expired API key"
}{
"detail": "Invalid or expired API key"
}Authorizations
Session token (JWT) obtained by calling POST /api/auth/login with your email and password.
Path Parameters
The UUID of the Workflow whose run history you want to retrieve.
Response
Array of up to 50 WorkflowRun objects
Available options:
completed, failed, waiting_for_human Show child attributes
Show child attributes
⌘I
List Workflow runs

